dnl
dnl Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
dnl Use is subject to license terms.
dnl
dnl $Id: acinclude.m4,v 1.2 2005/09/21 16:59:13 njacobs Exp $
dnl

dnl
dnl	Look for Apache
dnl
AC_DEFUN([AC_CHECK_APACHE], [

AC_ARG_WITH(apache, [ --with-apache=(dir)	Prefix where apache is installed (optional)], apache_prefix="$withval", apache_prefix="")

  if test x$apache_prefix != x; then
    AC_PATH_PROG(APXS, apxs, no, $apache_prefix/sbin $apache_prefix/bin)
  else
    AC_PATH_PROG(APXS, apxs, no)
  fi

  APACHE_CFLAGS="$APACHE_CFLAGS -I`$APXS -q INCLUDEDIR` -DEAPI"
  AC_SUBST(APACHE_CFLAGS)

  AM_CONDITIONAL(HAVE_APACHE, [ test x$APXS != xno ])
])


dnl
dnl	Look for CUPS support
dnl
AC_DEFUN([AC_CHECK_CUPS], [

AC_ARG_WITH(cups, [ --with-cups=(dir)	Prefix where libcups.so and cups.h are installed (optional)], cups_prefix="$withval", cups_prefix="")

if test x$cups_prefix != x ; then
  AC_MSG_CHECKING(for CUPS)
  AC_CHECK_FILE($cups_prefix/include/cups/cups.h, [
    CUPS_PREFIX=$cups_prefix
    AC_SUBST(CUPS_PREFIX)
 ], )
fi
AM_CONDITIONAL(HAVE_CUPS, [ test x$CUPS_PREFIX != x ])
])
