#!/bin/sh 
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# $Id: autogen.sh,v 1.4 2005/11/15 20:42:06 njacobs Exp $
#

#
# Ex:
#    sh ./autogen.sh \
#		--prefix=/opt/papi \
#		--libexecdir=/opt/papi/lib \
#		--with-apache=/usr/apache \
#		--enable-broken-printer-uri-semantic \
#		--with-default-destination=lp \
#		--with-cups=/opt/csw \
#		--with-default-ipp-server="ipp://localhost/printers"
#
echo "Processing..."

echo "Add libtool files"
libtoolize --copy --automake

echo "Creating config.h ..."
autoheader

echo "Generating configuration scripts"
aclocal 
automake --add-missing --include-deps --copy
autoconf 

if [ $# -gt 0 ] ; then
	echo "Configuring workspace"
	./configure $*
fi

# make all
# make install
