/*
 * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

/*
 * $Id: library.c,v 1.3 2005/10/31 18:56:45 njacobs Exp $
 */

/*LINTLIBRARY*/

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>
#include <papi.h>

static char *calls[] = {
	/* Attribute Calls */
	"papiAttributeListAdd",
	"papiAttributeListAddBoolean", "papiAttributeListAddCollection",
	"papiAttributeListAddDatetime", "papiAttributeListAddInteger",
	"papiAttributeListAddMetadata", "papiAttributeListAddRange",
	"papiAttributeListAddResolution", "papiAttributeListAddString",
	"papiAttributeListDelete",
	"papiAttributeListGetValue", "papiAttributeListGetNext",
	"papiAttributeListFind",
	"papiAttributeListGetBoolean", "papiAttributeListGetCollection",
	"papiAttributeListGetDatetime", "papiAttributeListGetInteger",
	"papiAttributeListGetMetadata", "papiAttributeListGetRange",
	"papiAttributeListGetResolution", "papiAttributeListGetString",
	"papiAttributeListFromString", "papiAttributeListToString",
	"papiAttributeListFree",
	/* Job Calls */
	"papiJobSubmit", "papiJobSubmitByReference", "papiJobValidate",
	"papiJobStreamOpen", "papiJobStreamWrite", "papiJobStreamClose",
	"papiJobQuery", "papiJobModify", "papiJobCancel",
	"papiJobGetAttributeList", "papiJobGetId", "papiJobGetPrinterName",
	"papiJobGetJobTicket",
	"papiJobFree", "papiJobListFree",
	"papiJobHold", "papiJobRelease", "papiJobRestart",
	/* Printer Calls */
	"papiPrintersList", "papiPrinterQuery", "papiPrinterModify",
	"papiPrinterPause", "papiPrinterResume",
	"papiPrinterPurgeJobs", "papiPrinterListJobs",
	"papiPrinterGetAttributeList",
	"papiPrinterFree", "papiPrinterListFree",
	/* Service Calls */
	"papiServiceCreate", "papiServiceDestroy",
	"papiServiceGetAppData",
	"papiServiceGetEncryption", "papiServiceGetPassword",
	"papiServiceGetServiceName", "papiServiceGetUserName",
	"papiServiceSetAppData", "papiServiceSetAuthCB",
	"papiServiceSetEncryption", "papiServiceSetPassword",
	"papiServiceSetUserName",
	"papiServiceGetAttributeList", "papiServiceGetStatusMessage",
	/* Misc Calls */
	"papiStatusString",
	"papiLibrarySupportedCall", "papiLibrarySupportedCalls",
	NULL
};

char **
papiLibrarySupportedCalls()
{
	return (calls);
}

char
papiLibrarySupportedCall(char *name)
{
	int i;

	for (i = 0; calls[i] != NULL; i++)
		if (strcmp(name, calls[i]) == 0)
			return (PAPI_TRUE);

	return (PAPI_FALSE);
}
